<?php
	if (!isset($page)) exit;
	$msg = "";
	if ($_POST) {
		$login = addslashes(trim($_POST["login"]));
		$senha = addslashes(trim($_POST["senha"]));

		if (empty($login)) {
			$msg = "<div class='alert alert-danger'>Preencha o campo Login</div>";
		} else if (empty($senha)) {
			$msg = "<div class='alert alert-danger'>Preencha o campo Senha</div>";
		} else {
			$consulta = $db->prepare("select * from funcionario where email = ? limit 1"); 
			$consulta->bindParam(1, $login); 
			if($consulta->execute()){
				$row = $consulta->fetch(PDO::FETCH_OBJ);
			}

			if (empty($row->id)) {
				$msg = "<div class='alert alert-danger'>Usuário não encontrado</div>";
			} else if ($row->senha != md5($senha)) {
				$msg = "<div class='alert alert-danger'>Senha incorreta</div>";
			} else if ($row->ativo == "Nao") {
				$msg = "<div class='alert alert-danger'>Usuário não está ativo, contate o Administrador</div>";
			} else {
				$_SESSION["admin"] = array("id"=>$row->id,"nome"=>$row->nome,"foto"=>$row->foto,"tipo"=>$row->tipo);
				echo "<script>location.href='home';</script>";
				exit;
			}
		}
	}
?>
<div id="login2">
	<form name="form1" method="post" novalidate>

		<p class="text-center"><img src="images/logo.png" alt="" title=""></p>

		<?php echo $msg; ?>
		
		<div class="control-group">
			<label for="login" class="control-label">Login/E-mail:</label>
			<div class="controls">
				<input type="text" name="login" required data-validation-required-message="Por favor, preencha o login" class="form-control"
				placeholder="Preencha com o seu e-mail">
			</div>
		</div>
		<div class="control-group">
			<label for="senha">Senha:</label>
			<div class="controls">
				<input type="password" name="senha" required data-validation-required-message="Por favor, preencha a senha" class="form-control"
				placeholder="Preencha a senha">
			</div>
		</div>
		<br>

		<button type="submit" class="btn btn-success bg-lg" style="width:100%">
			<i class="glyphicon glyphicon-ok"></i> Efetuar Login
		</button>

		<br><br>
		<p class="text-center"><a href="javascript:;" title="Esqueceu a senha?" data-toggle="modal" data-target=".bs-example-modal-lg">Esqueceu a senha?</a></p>

	</form>
</div>

<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      ...
    </div>
  </div>
</div>